<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchEvaluation: SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchEvaluation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_evaluation.html">SemanticSearchEvaluation</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison.html">ApproachComparison</a></li><li class="navelem"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html">ElasticsearchEvaluation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Functions for Elasticsearch <a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html" title="Entry class which interprets the command line arguments and calls corresponding functions.">Evaluation</a>.  
 <a href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a54c6f787933dd0a0bf5676abeb7c2bf2"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a54c6f787933dd0a0bf5676abeb7c2bf2">Reindex</a> ()</td></tr>
<tr class="memdesc:a54c6f787933dd0a0bf5676abeb7c2bf2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reindexes all metadata graphs from Virtuoso.  <a href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a54c6f787933dd0a0bf5676abeb7c2bf2">More...</a><br /></td></tr>
<tr class="separator:a54c6f787933dd0a0bf5676abeb7c2bf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a888f606289608fb4bd112d534c085e1a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a888f606289608fb4bd112d534c085e1a">RunTest</a> (string test, string path)</td></tr>
<tr class="memdesc:a888f606289608fb4bd112d534c085e1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Runs the specified elasticsearch test.  <a href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a888f606289608fb4bd112d534c085e1a">More...</a><br /></td></tr>
<tr class="separator:a888f606289608fb4bd112d534c085e1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a72a0c9518e92b591e33d80433dedc051"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a72a0c9518e92b591e33d80433dedc051">REINDEX</a> = &quot;reindex&quot;</td></tr>
<tr class="separator:a72a0c9518e92b591e33d80433dedc051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09f211da009cf88fd2a8d85182b11bf7"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a09f211da009cf88fd2a8d85182b11bf7">ADD</a> = &quot;add&quot;</td></tr>
<tr class="separator:a09f211da009cf88fd2a8d85182b11bf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ae10289d27448800cacfa687de9cd46"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a9ae10289d27448800cacfa687de9cd46">UPDATE</a> = &quot;update&quot;</td></tr>
<tr class="separator:a9ae10289d27448800cacfa687de9cd46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afee74c9b6f0707f70cf2d4f5ee8f3f33"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#afee74c9b6f0707f70cf2d4f5ee8f3f33">DELETE</a> = &quot;delete&quot;</td></tr>
<tr class="separator:afee74c9b6f0707f70cf2d4f5ee8f3f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a0ea57c9b7ea94cc5de9ea90ae58f7f73"><td class="memItemLeft" align="right" valign="top">static readonly <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SearchApproach</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_evaluation_1_1_approach_comparison_1_1_elasticsearch_evaluation.html#a0ea57c9b7ea94cc5de9ea90ae58f7f73">approach</a> = new <a class="el" href="class_semantic_search_evaluation_1_1_advanced_elastic_search.html">AdvancedElasticSearch</a>()</td></tr>
<tr class="separator:a0ea57c9b7ea94cc5de9ea90ae58f7f73"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Functions for Elasticsearch <a class="el" href="class_semantic_search_evaluation_1_1_evaluation.html" title="Entry class which interprets the command line arguments and calls corresponding functions.">Evaluation</a>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a54c6f787933dd0a0bf5676abeb7c2bf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54c6f787933dd0a0bf5676abeb7c2bf2">&#9670;&nbsp;</a></span>Reindex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation.Reindex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reindexes all metadata graphs from Virtuoso. </p>

</div>
</div>
<a id="a888f606289608fb4bd112d534c085e1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a888f606289608fb4bd112d534c085e1a">&#9670;&nbsp;</a></span>RunTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation.RunTest </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>test</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>path</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Runs the specified elasticsearch test. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">test</td><td>Test which should be executed: add/update/delete.</td></tr>
    <tr><td class="paramname">path</td><td>Path to the metdata record folder from the sample dataset.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a09f211da009cf88fd2a8d85182b11bf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09f211da009cf88fd2a8d85182b11bf7">&#9670;&nbsp;</a></span>ADD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation.ADD = &quot;add&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0ea57c9b7ea94cc5de9ea90ae58f7f73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ea57c9b7ea94cc5de9ea90ae58f7f73">&#9670;&nbsp;</a></span>approach</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="class_semantic_search_evaluation_1_1_search_approach.html">SearchApproach</a> SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation.approach = new <a class="el" href="class_semantic_search_evaluation_1_1_advanced_elastic_search.html">AdvancedElasticSearch</a>()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afee74c9b6f0707f70cf2d4f5ee8f3f33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afee74c9b6f0707f70cf2d4f5ee8f3f33">&#9670;&nbsp;</a></span>DELETE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation.DELETE = &quot;delete&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a72a0c9518e92b591e33d80433dedc051"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72a0c9518e92b591e33d80433dedc051">&#9670;&nbsp;</a></span>REINDEX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation.REINDEX = &quot;reindex&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ae10289d27448800cacfa687de9cd46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ae10289d27448800cacfa687de9cd46">&#9670;&nbsp;</a></span>UPDATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchEvaluation.ApproachComparison.ElasticsearchEvaluation.UPDATE = &quot;update&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_approach_comparison_8cs.html">ApproachComparison.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
